%define api 1.0
%define major 6
%define libname %mklibname aal %{api} %{major}
%define devname %mklibname aal -d

%define minmajor 0
%define minlib %mklibname aal-minimal %{minmajor}

Name:          libaal
Version:       1.0.6
Release:       %mkrel 7
Summary:       A library that provides application abstraction mechanism
Group:         System/Libraries
URL:           https://www.kernel.org
Source:        https://www.kernel.org/pub/linux/utils/fs/reiser4/libaal/libaal-%{version}.tar.bz2
Patch0:        libaal-1.0.6-cflags.patch
Patch1:        no-nonsense.diff
License:       GPL
BuildRequires: gcc-c++

%description
This is a library that provides application abstraction mechanism.
It includes device abstraction, libc independence code, etc.

%package -n %libname
Summary:       A library that provides application abstraction mechanism
Group:         System/Libraries
Obsoletes:     %{_lib}aal1 < 1.0.6-4

%description -n %libname
This is a library that provides application abstraction mechanism.
It includes device abstraction, libc independence code, etc.

%package -n %minlib
Summary:       A library that provides application abstraction mechanism
Group:         System/Libraries
Conflicts:     %{_lib}aal1 < 1.0.6-4

%description -n %minlib
This is a library that provides application abstraction mechanism.
It includes device abstraction, libc independence code, etc.

%package -n %devname
Group:         Development/C
Summary:       Static libraries and headers for %{name}
Requires:      %{libname} = %{version}-%{release}
Requires:      %{minlib} = %{version}-%{release}
Provides:      %{name}-devel = %{version}-%{release}

%description -n %devname
This is a library that provides application abstraction mechanism.
It includes device abstraction, libc independence code, etc.
This package contains static libraries and header files need for development.

%prep
%autosetup -p1

%build
rm -f configure
autoreconf -fi

%configure \
	--disable-static

%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%license COPYING*
%doc AUTHORS BUGS CREDITS ChangeLog README THANKS TODO
%{_libdir}/libaal-%{api}.so.%{major}{,.*}

%files -n %{minlib}
%license COPYING*
%doc AUTHORS BUGS CREDITS ChangeLog README THANKS TODO
%{_libdir}/libaal-minimal.so.%{minmajor}{,.*}

%files -n %{devname}
%{_includedir}/aal/
%{_libdir}/*.so
%{_datadir}/aclocal/libaal.m4


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 1.0.6-7.mga9
+ Revision: 1791986
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.0.6-6.mga8
+ Revision: 1513891
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.6-5.mga7
+ Revision: 1298746
- Mageia 7 Mass Rebuild

* Fri Jun 22 2018 wally <wally> 1.0.6-4.mga7
+ Revision: 1239093
- add patch from Ubuntu to fix build with glibc >= 2.26
- fix lib pkgs
- disable static build and drop .la files

* Fri Sep 15 2017 cjw <cjw> 1.0.6-3.mga7
+ Revision: 1153925
- patch0: do not clear CFLAGS in configure script

* Sun Dec 25 2016 tmb <tmb> 1.0.6-2.mga6
+ Revision: 1077324
- add generic devel provides
- libaal major is 1

* Sun Dec 25 2016 tmb <tmb> 1.0.6-1.mga6
+ Revision: 1077318
- update to 1.0.6
- fix development group
- imported package libaal

